Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util
Class EnumeratedValue

    java.lang.Object
      ix.util.EnumeratedValue

All Implemented Interfaces:
  SemiPrimitive, java.io.Serializable

Direct Known Subclasses:
  AgentRelationship, End, ObjectProperty.Syntax, Priority, ReportType, Status, VariableScope, YesNo

    public abstract class EnumeratedValue

extends java.lang.Object
implements java.io.Serializable, SemiPrimitive

Base/utility class for type-safe enumerated values.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `name`

Constructor Summary
`EnumeratedValue()`

Method Summary
`protected static EnumeratedValue` | `getValue(java.util.List values, java.lang.String name)`
`protected static EnumeratedValue` | `getValueElseError(java.util.List values, java.lang.String name)`
`protected java.lang.Object` | `readResolve()` Ensures that the correct (==) objects are obtained when deserializing.
`protected static void` | `recordValue(java.util.List values, EnumeratedValue value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

Constructor Detail

### EnumeratedValue

    public EnumeratedValue()

Method Detail

### recordValue

    protected static void recordValue(java.util.List values,
                                      EnumeratedValue value)

### getValue

    protected static EnumeratedValue getValue(java.util.List values,
                                              java.lang.String name)

### getValueElseError

    protected static EnumeratedValue getValueElseError(java.util.List values,
                                                       java.lang.String name)

### readResolve

    protected java.lang.Object readResolve()
                                    throws java.io.ObjectStreamException

  Ensures that the correct (==) objects are obtained when deserializing.

  Throws:
    `java.io.ObjectStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD